Take emergency by link
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/on-call/emergency/{token}const options = {method: 'POST'};
fetch('https://api.sortx.co.uk/p/:tenant/on-call/emergency/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/on-call/emergency/{token}"
response = requests.post(url)
print(response.text){
"agency": "<string>",
"reference": "<string>",
"property": "<string>",
"description": "<string>",
"reportedAt": "<string>",
"timeZone": "<string>",
"status": "paging",
"pagedName": "<string>",
"takenBy": "<string>",
"takenAt": "<string>",
"takenByYou": true,
"deskUrl": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-public
Take emergency by link
The paged person takes the emergency from their link
POST
/
p
/
:tenant
/
on-call
/
emergency
/
{token}
Take emergency by link
curl --request POST \
--url https://api.sortx.co.uk/p/:tenant/on-call/emergency/{token}const options = {method: 'POST'};
fetch('https://api.sortx.co.uk/p/:tenant/on-call/emergency/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/on-call/emergency/{token}"
response = requests.post(url)
print(response.text){
"agency": "<string>",
"reference": "<string>",
"property": "<string>",
"description": "<string>",
"reportedAt": "<string>",
"timeZone": "<string>",
"status": "paging",
"pagedName": "<string>",
"takenBy": "<string>",
"takenAt": "<string>",
"takenByYou": true,
"deskUrl": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Response
Success
Available options:
paging, acknowledged, stopped, unanswered, off